#if !defined(PCIDIO_H)
#define PCIDIO_H

#include <windows.h>

// The following ifdef block is the standard way of creating macros which make exporting
// from a DLL simpler. All files within this DLL are compiled with the PCIDIO_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see
// PCIDIO_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef PCIDIO_EXPORTS
#define PCIDIO_API __declspec(dllexport)
#else
#define PCIDIO_API __declspec(dllimport)
#endif


// inport & outport
// functions

PCIDIO_API BYTE inportb(unsigned int portid);
PCIDIO_API void outportb(unsigned int portid, BYTE charValue);

/* Each register'length is 1 Byte */
typedef enum {A=0,B,C,CL,CU} PORT;
extern int BaseAddress;

/* Initialize the card based on the Base Address Settings.*/
PCIDIO_API int DIOTInitCard(int BaseAddr);
PCIDIO_API void DIOTCloseCard();

#endif PCIDIO_H